import BasicPage from "../../../components/basic-page";
import PBlock from "../../../components/project-block";

// An object listing pages folks can visit
export async function getStaticProps() {
  const fs = require("fs");
  const yaml = require("js-yaml");
  let STREAMING = {};

  try {
    let fileContent = fs.readFileSync("./data/streaming.yml", "utf8");
    STREAMING = yaml.load(fileContent);
  } catch (e) {
    console.log(e);
  }
  return {
    props: {
      STREAMING,
    },
  };
}

export default function Services({ STREAMING }) {
  return (
    <BasicPage page_title="Streaming Links" card_title="Come watch my streams!">
      <div className="rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-light dark:bg-werefox-grey">
        <PBlock title="Streaming" cards={STREAMING} />
      </div>
    </BasicPage>
  );
}
